| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Public Member Functions | List of all members
nkGraphics::Pass Class Reference

The base for a pass within a TargetOperations.
More...

Inheritance diagram for nkGraphics::Pass:

## Public Member Functions
| Pass (System *system) noexcept
virtual | ~Pass ()
System * | getSystem () const
TargetOperations * | getParent () const
PASS_TYPE | getType () const
nkMemory::StringView | getName () const
void | setParent (TargetOperations *parent)
void | setName (nkMemory::StringView name)
virtual void | exportClassToTree (nkExport::Node *rootNode) override
virtual void | importClassFromTree (nkExport::Node *rootNode) override
Public Member Functions inherited from nkExport::Exportable
| Exportable () noexcept
virtual | ~Exportable ()

## Detailed Description

The base for a pass within a TargetOperations.

One pass is attached to one target operations, which owns it.
See TargetOperations for all the passes available.

## Constructor & Destructor Documentation

## ◆ Pass()

nkGraphics::Pass::Pass | ( | System * | system | ) |
| noexcept

Constructor. A pass is allocated through the TargetOperations it should work in.

Parameters

  system | The system the resource should live in.

## ◆ ~Pass()

virtual nkGraphics::Pass::~Pass | ( |  | ) |
| virtual

Destructor. A pass should be freed through the TargetOperations it works in.

## Member Function Documentation

## ◆ getSystem()

System* nkGraphics::Pass::getSystem | ( |  | ) | const

Returns
  The system the resource lives in.

## ◆ getParent()

TargetOperations* nkGraphics::Pass::getParent | ( |  | ) | const

Returns
  The parent target operations.

## ◆ getType()

PASS_TYPE nkGraphics::Pass::getType | ( |  | ) | const

Returns
  The pass type.

## ◆ getName()

nkMemory::StringView nkGraphics::Pass::getName | ( |  | ) | const

Returns
  The name of the pass.

## ◆ setParent()

void nkGraphics::Pass::setParent | ( | TargetOperations * | parent | ) |

Sets the parent target operations.

Parameters

  parent | The parent to set.

## ◆ setName()

void nkGraphics::Pass::setName | ( | nkMemory::StringView | name | ) |

Sets the name of the pass.

Parameters

  name | The name to assign.

## ◆ exportClassToTree()

virtual void nkGraphics::Pass::exportClassToTree | ( | nkExport::Node * | rootNode | ) |
| override virtual

Exports an item into a tree describing its structure and its data.

Parameters

  rootNode | The node into which the object has to write its related information.

Implements nkExport::Exportable.

Reimplemented in nkGraphics::InstancingPass, nkGraphics::ClearTargetsPass, nkGraphics::RenderScenePass, nkGraphics::RaytracingPass, nkGraphics::PostProcessPass, nkGraphics::ComputePass, and nkGraphics::MonoMaterialPass.

## ◆ importClassFromTree()

virtual void nkGraphics::Pass::importClassFromTree | ( | nkExport::Node * | rootNode | ) |
| override virtual

Imports information from a tree which is supposed to describe its structure and data.

Parameters

  rootNode | The root node of the tree holding the information.

Implements nkExport::Exportable.

Reimplemented in nkGraphics::ClearTargetsPass, nkGraphics::InstancingPass, nkGraphics::RenderScenePass, nkGraphics::RaytracingPass, nkGraphics::PostProcessPass, nkGraphics::ComputePass, and nkGraphics::MonoMaterialPass.

The documentation for this class was generated from the following file:

- Documentation/Headers/NilkinsGraphics/Passes/Pass.h